import java.sql.*;

public class TestDML {
    public static void main(String[] args) {
        Connection con;
        Statement stat;
        ResultSet result;
        int personale;
        String URL = "jdbc:mysql://localhost:3306";
        String database = "Azienda";
        String user = "root";
        String password = "";
        
        try {
            con = DriverManager.getConnection(URL+"/"+database, user, password);
            System.out.println("Effettuata connessione al server DBMS.");
            stat = con.createStatement();
            result = stat.executeQuery("SELECT COUNT(*) AS numero FROM Personale;");
            result.next(); // posizionamento primo risultato
            personale = result.getInt(1);
            System.out.println("Unità personale: " + personale);
            if (stat.executeUpdate(" DELETE FROM Personale WHERE stipendio > 3000;") > 0) {
                System.out.println("Eliminato personale con stipendio maggiore di 3000€.");
            }
            result = stat.executeQuery("SELECT COUNT(*) AS numero FROM Personale;");
            result.next(); // posizionamento primo risultato
            personale = result.getInt(1);
            System.out.println("Unità personale: " + personale);
            result.close();
            stat.close();
            con.close();
            System.out.println("Effettuata disconnessione dal server DBMS.");
        }
        catch (SQLException exception) {
            System.out.println("Errore!");
        }
    }
}
