import java.sql.*;

public class TestQuery {
    public static void main(String[] args) {
        Connection con;
        Statement stat;
        ResultSet result;
        String URL = "jdbc:mysql://localhost:3306";
        String database = "azienda";
        String user = "root";
        String password = "";
        
        try {
            con = DriverManager.getConnection( URL+"/"+database, user, password);
            System.out.println("Effettuata connessione al server DBMS.");
            stat = con.createStatement();
            result = stat.executeQuery("SELECT * FROM Personale, Dipartimento WHERE Personale.id_dipartimento = Dipartimento.id_dipartimento ORDER BY nominativo;");
            System.out.println("Elenco personale:");
            while (result.next()) {
                String nominativo = result.getString("nominativo");
                String dipartimento = result.getString("nome_dipartimento");
                System.out.println(nominativo + " – " + dipartimento);
            }
            result.close();
            stat.close();
            con.close();
            System.out.println("Effettuata disconnessione dal server DBMS.");
        }
        catch (SQLException exception) {
            System.out.println("Errore!");
        }
    }
}
